package com.house365.ws.interfaces.server;

import com.house365.beans.entity.CloudRuleEntity;
import com.house365.beans.entity.UserEntity;
import com.house365.ws.beans.util.HResult;

import java.util.List;
import java.util.Map;

/**
 * @author Created by 365 on 2020/8/12.
 */
public interface ICloudRuleInterface {

    HResult save(List<CloudRuleEntity> list, UserEntity userEntity, String city);

    CloudRuleEntity getById(int id);

    List<CloudRuleEntity> queryByConditions(Map<String, Object> map);

    void deleteByUserId(int userId);
}
